Update Token Label
curl --request PATCH \
--url https://api.example.com/v2/auth/tokens/{token_id}/metadata \
--header 'Content-Type: application/json' \
--data '
{
"provider_account_label": "<string>",
"is_default": true
}
'import requests
url = "https://api.example.com/v2/auth/tokens/{token_id}/metadata"
payload = {
"provider_account_label": "<string>",
"is_default": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({provider_account_label: '<string>', is_default: true})
};
fetch('https://api.example.com/v2/auth/tokens/{token_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"provider_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"provider_account_label": "<string>",
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z",
"is_default": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Update Token Label
Update a token’s provider_account_label. Only the token owner can update.
PATCH
/
v2
/
auth
/
tokens
/
{token_id}
/
metadata
Update Token Label
Path Parameters
Body
application/json
Response
Successful Response
⌘I

